Subject: Re: bug#45187: git download defaults to origin/master

From: Ludovic Courtès <[email-masked]>
Date: Mon, 14 Dec 2020 11:27:12 +0100

Hi!

Marius Bakke <[email-masked]> skribis:

> I wonder if there was a specific reason to not use 'revparse-single',
> and instead mostly reinvent it with (resolve-reference ...).

It must have been ignorance on my side, but also the fact that something
like ‘revparse-single’ has to guess what it is you’re looking for (is
this string a commit ID? a tag name? a branch name?), whereas here we
can explicitly state what we want and thus reduce the search space and
ambiguity.

Does that make sense?

Ludo’.